Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.keyattributedmr.model.impl
Class VKeyAttributeDomainModelReferenceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecp.view.spi.model.impl.VFeaturePathDomainModelReferenceImpl
                      org.eclipse.emf.ecp.view.spi.keyattributedmr.model.impl.VKeyAttributeDomainModelReferenceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, VKeyAttributeDomainModelReference, ModelChangeListener, VDomainModelReference, VFeaturePathDomainModelReference

    public class VKeyAttributeDomainModelReferenceImpl

extends VFeaturePathDomainModelReferenceImpl
implements VKeyAttributeDomainModelReference

An implementation of the model object ' Key Attribute Domain Model Reference '.

The following features are implemented:

- `Key DMR`
- `Key Value`
- `Value DMR`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetKeyDMR(VDomainModelReference newKeyDMR, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetValueDMR(VDomainModelReference newValueDMR, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`Iterator<org.eclipse.emf.ecore.EStructuralFeature>` | `getEStructuralFeatureIterator()` Returns an iterator allowing to iterate overall `EStructuralFeatures` of this domain model reference.
`Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>` | `getIterator()` Returns an iterator allowing to iterate over found settings for this domain model reference.
`VDomainModelReference` | `getKeyDMR()`
`Object` | `getKeyValue()`
`VDomainModelReference` | `getValueDMR()`
`boolean` | `init(org.eclipse.emf.ecore.EObject eObject)` Resolve attempts to resolve the domain model reference.
`void` | `setKeyDMR(VDomainModelReference newKeyDMR)`
`void` | `setKeyValue(Object newKeyValue)`
`void` | `setValueDMR(VDomainModelReference newValueDMR)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecp.view.spi.model.impl.VFeaturePathDomainModelReferenceImpl
`basicGetDomainModelEFeature, getChangeListener, getDomainModelEFeature, getDomainModelEReferencePath, getFullPathIterator, notifyChange, setDomainModelEFeature`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VFeaturePathDomainModelReference
`getDomainModelEFeature, getDomainModelEReferencePath, setDomainModelEFeature`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getFullPathIterator`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getKeyDMR

    public VDomainModelReference getKeyDMR()

  Specified by:
    `getKeyDMR` in interface `VKeyAttributeDomainModelReference`
  Returns:
    the value of the 'Key DMR' containment reference.
  See Also:
    `VKeyAttributeDomainModelReference.setKeyDMR(VDomainModelReference)`, `VKeyattributedmrPackage.getKeyAttributeDomainModelReference_KeyDMR()`

### basicSetKeyDMR

    public org.eclipse.emf.common.notify.NotificationChain basicSetKeyDMR(VDomainModelReference newKeyDMR,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setKeyDMR

    public void setKeyDMR(VDomainModelReference newKeyDMR)

  Specified by:
    `setKeyDMR` in interface `VKeyAttributeDomainModelReference`
  Parameters:
    `newKeyDMR` - the new value of the 'Key DMR' containment reference.
  See Also:
    `VKeyAttributeDomainModelReference.getKeyDMR()`

### getKeyValue

    public Object getKeyValue()

  Specified by:
    `getKeyValue` in interface `VKeyAttributeDomainModelReference`
  Returns:
    the value of the 'Key Value' attribute.
  See Also:
    `VKeyAttributeDomainModelReference.setKeyValue(Object)`, `VKeyattributedmrPackage.getKeyAttributeDomainModelReference_KeyValue()`

### setKeyValue

    public void setKeyValue(Object newKeyValue)

  Specified by:
    `setKeyValue` in interface `VKeyAttributeDomainModelReference`
  Parameters:
    `newKeyValue` - the new value of the 'Key Value' attribute.
  See Also:
    `VKeyAttributeDomainModelReference.getKeyValue()`

### getValueDMR

    public VDomainModelReference getValueDMR()

  Specified by:
    `getValueDMR` in interface `VKeyAttributeDomainModelReference`
  Returns:
    the value of the 'Value DMR' containment reference.
  See Also:
    `VKeyAttributeDomainModelReference.setValueDMR(VDomainModelReference)`, `VKeyattributedmrPackage.getKeyAttributeDomainModelReference_ValueDMR()`

### basicSetValueDMR

    public org.eclipse.emf.common.notify.NotificationChain basicSetValueDMR(VDomainModelReference newValueDMR,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setValueDMR

    public void setValueDMR(VDomainModelReference newValueDMR)

  Specified by:
    `setValueDMR` in interface `VKeyAttributeDomainModelReference`
  Parameters:
    `newValueDMR` - the new value of the 'Value DMR' containment reference.
  See Also:
    `VKeyAttributeDomainModelReference.getValueDMR()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `VFeaturePathDomainModelReferenceImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `VFeaturePathDomainModelReferenceImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `VFeaturePathDomainModelReferenceImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `VFeaturePathDomainModelReferenceImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `VFeaturePathDomainModelReferenceImpl`

### init

    public boolean init(org.eclipse.emf.ecore.EObject eObject)

  Description copied from class: `VFeaturePathDomainModelReferenceImpl`
  Resolve attempts to resolve the domain model reference. If it fails existing results will be kept. Thus even after a failed resolution the iterator might not be empty.

  Specified by:
    `init` in interface `VDomainModelReference`
  Overrides:
    `init` in class `VFeaturePathDomainModelReferenceImpl`
  Returns:
    true if resolution succeeded and false otherwise
  See Also:
    `VDomainModelReference.init(org.eclipse.emf.ecore.EObject)`

### getIterator

    public Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting> getIterator()

  Description copied from class: `VFeaturePathDomainModelReferenceImpl`
  Returns an iterator allowing to iterate over found settings for this domain model reference. Will return an empty Iterator if resolve was not successfully completed.

  Specified by:
    `getIterator` in interface `VDomainModelReference`
  Overrides:
    `getIterator` in class `VFeaturePathDomainModelReferenceImpl`
  Returns:
    the `Iterator` for this domain model reference
  See Also:
    `VDomainModelReference.getIterator()`

### getEStructuralFeatureIterator

    public Iterator<org.eclipse.emf.ecore.EStructuralFeature> getEStructuralFeatureIterator()

  Description copied from class: `VFeaturePathDomainModelReferenceImpl`
  Returns an iterator allowing to iterate overall `EStructuralFeatures` of this domain model reference.

  Specified by:
    `getEStructuralFeatureIterator` in interface `VDomainModelReference`
  Overrides:
    `getEStructuralFeatureIterator` in class `VFeaturePathDomainModelReferenceImpl`
  Returns:
    the `Iterator` over all `EStructuralFeatures` for this domain model reference
  See Also:
    `VDomainModelReference.getEStructuralFeatureIterator()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.